OS X Snow Leopard

For users of legacy Steinberg Cubase software
Post Reply
steinberg0101
New Member
Posts: 6
Joined: Mon Aug 24, 2015 8:10 am
Contact:

OS X Snow Leopard

Post by steinberg0101 » Mon Aug 24, 2015 8:21 am

Hello.
What is the last Cubase version that supported Snow Leopard?
I have a completely functional working system and I don't want to mess with upgrades, etc.

User avatar
Chris Dobbs
Member
Posts: 690
Joined: Wed Dec 15, 2010 9:21 pm
Contact:

Re: OS X Snow Leopard

Post by Chris Dobbs » Mon Aug 24, 2015 2:01 pm

Cubase 6.5 was the last version that was supported for 10.6. http://www.steinberg.net/index.php?id=d ... ase_65&L=1
Chris Dobbs
Application Specialist
Steinberg US Support

Check out Steinberg on YouTube, Twitter and Facebook!

steinberg0101
New Member
Posts: 6
Joined: Mon Aug 24, 2015 8:10 am
Contact:

Re: OS X Snow Leopard

Post by steinberg0101 » Tue Aug 25, 2015 11:06 am

Thank you. Is there a possibility to purchase it somewhere? Somehow?

User avatar
Chris Dobbs
Member
Posts: 690
Joined: Wed Dec 15, 2010 9:21 pm
Contact:

Re: OS X Snow Leopard

Post by Chris Dobbs » Tue Aug 25, 2015 3:42 pm

Cubase 6.5 is discontinued and is no longer available for purchase. A Cubase Pro 8 license could open Cubase 6.5, but you will need to install the archive version of the eLCC from http://www.elicenser.net/en/download_archives.html
Chris Dobbs
Application Specialist
Steinberg US Support

Check out Steinberg on YouTube, Twitter and Facebook!

Post Reply

Return to “Older Cubase versions”

Who is online

Users browsing this forum: No registered users and 7 guests